## org.apache.batik.dom.svg
Class SVGOMAnimatedLengthList.SVGOMLengthList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGLengthList
              org.apache.batik.dom.svg.SVGOMAnimatedLengthList.SVGOMLengthList

All Implemented Interfaces:
  SVGLengthList

Enclosing class:
  SVGOMAnimatedLengthList

public class SVGOMAnimatedLengthList.SVGOMLengthList
extends AbstractSVGLengthList

SVGLengthList implementation.

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGLengthList
`AbstractSVGLengthList.LengthListBuilder, AbstractSVGLengthList.SVGLengthItem`

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGLengthList
`direction, SVG_LENGTH_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`SVGOMAnimatedLengthList.SVGOMLengthList(short direction)`

Method Summary
`protected org.w3c.dom.DOMException` `createDOMException(short type, java.lang.String key, java.lang.Object[] args)` Create a DOMException.
`protected SVGException` `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create a SVGException.
`protected org.w3c.dom.Element` `getElement()` return the element owning this SVGLengthList.
`protected java.lang.String` `getValueAsString()` Retrieve the value of the attribute 'points'.
`protected void` `setAttributeValue(java.lang.String value)` Set the value of the attribute 'points'

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGLengthList
`appendItem, checkItemType, createSVGItem, doParse, getItem, getItemSeparator, initialize, insertItemBefore, removeItem, replaceItem`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, getItemImpl, getNumberOfItems, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGLengthList
`clear, getNumberOfItems`

Constructor Detail

### SVGOMAnimatedLengthList.SVGOMLengthList

    public SVGOMAnimatedLengthList.SVGOMLengthList(short direction)

Method Detail

### createDOMException

    protected org.w3c.dom.DOMException createDOMException(short type,
                                                          java.lang.String key,
                                                          java.lang.Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected SVGException createSVGException(short type,
                                              java.lang.String key,
                                              java.lang.Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGLengthList`
  Returns:
    SVGException

### getElement

    protected org.w3c.dom.Element getElement()

  Description copied from class: `AbstractSVGLengthList`
  return the element owning this SVGLengthList.

  Specified by:
    `getElement` in class `AbstractSVGLengthList`

### getValueAsString

    protected java.lang.String getValueAsString()

  Retrieve the value of the attribute 'points'.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`
  Returns:
    value of the attribute

### setAttributeValue

    protected void setAttributeValue(java.lang.String value)

  Set the value of the attribute 'points'

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - new value of the attribute the value can be null if no item are present in the list.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.